"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperandsMap = exports.FilterOperand = void 0;
var FilterOperand;
(function (FilterOperand) {
    FilterOperand["eq"] = "eq";
    FilterOperand["gt"] = "gt";
    FilterOperand["gte"] = "gte";
    FilterOperand["in"] = "in";
    FilterOperand["like"] = "like";
    FilterOperand["lt"] = "lt";
    FilterOperand["lte"] = "lte";
    FilterOperand["ne"] = "ne";
    FilterOperand["nin"] = "nin";
    FilterOperand["regexp"] = "regexp";
})(FilterOperand = exports.FilterOperand || (exports.FilterOperand = {}));
exports.OperandsMap = {
    [FilterOperand.eq]: '= :&',
    [FilterOperand.regexp]: '~* :&',
    [FilterOperand.gt]: '> :&',
    [FilterOperand.gte]: '>= :&',
    [FilterOperand.in]: 'IN (:...&)',
    [FilterOperand.like]: 'ILIKE :&',
    [FilterOperand.lt]: '< :&',
    [FilterOperand.lte]: '<= :&',
    [FilterOperand.ne]: '<> :&',
    [FilterOperand.nin]: 'NOT IN (:...&)',
};
//# sourceMappingURL=operand.types.js.map